@font-face {
	font-family: 'local noto sans jp';
	src: local('noto sans jp');
}

.micron-archive-footer {
	padding-block-start: 24px;
}

.micron-archive-footer .wp-pagenavi {
	display: flex;
	align-items: center;
	justify-content: center;
}

.micron-archive-footer .wp-pagenavi .page,
.micron-archive-footer .wp-pagenavi .current,
.micron-archive-footer .wp-pagenavi .first,
.micron-archive-footer .wp-pagenavi .last {
	padding-block: 4px;
	padding-inline: 16px;
	border-radius: 4em;
	display: grid;
	place-items: center;
}

.micron-archive-footer .wp-pagenavi .page,
.micron-archive-footer .wp-pagenavi .first,
.micron-archive-footer .wp-pagenavi .last {
	color: #333;
	background-color: #fff;
	text-decoration: none;
}

.micron-archive-footer .wp-pagenavi .page:hover,
.micron-archive-footer .wp-pagenavi .page:active,
.micron-archive-footer .wp-pagenavi .page:focus-visible,
.micron-archive-footer .wp-pagenavi .first:hover,
.micron-archive-footer .wp-pagenavi .first:active,
.micron-archive-footer .wp-pagenavi .first:focus-visible,
.micron-archive-footer .wp-pagenavi .last:hover,
.micron-archive-footer .wp-pagenavi .last:active,
.micron-archive-footer .wp-pagenavi .last:focus-visible {
	color: #fff;
	background-color: #293855;
}

.micron-archive-footer .wp-pagenavi .current {
	color: #fff;
	background-color: #293855;
}

.micron-archive-footer .wp-pagenavi .extend {
	vertical-align: bottom;
}

.micron-archive-footer .wp-pagenavi .previouspostslink,
.micron-archive-footer .wp-pagenavi .nextpostslink {
	display: grid;
	color: #333;
	text-decoration: none;
}

.micron-archive-footer .wp-pagenavi .previouspostslink::before,
.micron-archive-footer .wp-pagenavi .nextpostslink::before {
	content: '';
	width: 18px;
	height: 18px;
	background-color: currentcolor;
	-webkit-mask-image: url(../images/icon/arrow.svg);
	mask-image: url(../images/icon/arrow.svg);
	-webkit-mask-size: 18px 18px;
	mask-size: 18px 18px;
	-webkit-mask-repeat: no-repeat;
	mask-repeat: no-repeat;
}

.micron-archive-footer .wp-pagenavi .previouspostslink {
	order: -1;
}

.micron-archive-footer .wp-pagenavi .previouspostslink::before {
	rotate: 90deg;
}

.micron-archive-footer .wp-pagenavi .nextpostslink {
	order: 10;
}

.micron-archive-footer .wp-pagenavi .nextpostslink::before {
	rotate: -90deg;
}

@media screen and (max-width: 1024px) {

	.micron-archive-footer .wp-pagenavi {
		justify-content: center;
		-moz-column-gap: 4px;
		column-gap: 4px;
	}

	.micron-archive-footer .wp-pagenavi .page,
	.micron-archive-footer .wp-pagenavi .current,
	.micron-archive-footer .wp-pagenavi .first,
	.micron-archive-footer .wp-pagenavi .last {
		line-height: 1.625;
		font-size: 1rem;
	}

	.micron-archive-footer .wp-pagenavi .previouspostslink,
	.micron-archive-footer .wp-pagenavi .nextpostslink {
		width: 18px;
		height: 18px;
		overflow: hidden;
	}

	.micron-archive-footer .wp-pagenavi .previouspostslink {
		grid-template-columns: 18px 0;
	}

	.micron-archive-footer .wp-pagenavi .nextpostslink {
		grid-template-columns: 18px 0;
	}

	.micron-archive-footer .wp-pagenavi .nextpostslink::before {
		grid-column: 1/2;
	}
}

@media screen and (min-width: 1025px) {

	.micron-archive-footer .wp-pagenavi {
		-moz-column-gap: 16px;
		column-gap: 16px;
	}

	.micron-archive-footer .wp-pagenavi .page,
	.micron-archive-footer .wp-pagenavi .current,
	.micron-archive-footer .wp-pagenavi .first,
	.micron-archive-footer .wp-pagenavi .last {
		line-height: 1.6111111111;
		font-size: 1.125rem;
	}

	.micron-archive-footer .wp-pagenavi .previouspostslink,
	.micron-archive-footer .wp-pagenavi .nextpostslink {
		align-items: center;
		-moz-column-gap: 4px;
		column-gap: 4px;
		line-height: 1.6111111111;
		font-size: 1.125rem;
	}

	.micron-archive-footer .wp-pagenavi .previouspostslink {
		grid-template-columns: 18px auto;
	}

	.micron-archive-footer .wp-pagenavi .nextpostslink {
		grid-template-columns: auto 18px;
	}

	.micron-archive-footer .wp-pagenavi .nextpostslink::before {
		grid-column: 2/3;
		grid-row: 1/2;
	}
}

@media print {

	.micron-archive-footer .wp-pagenavi {
		-moz-column-gap: 16px;
		column-gap: 16px;
	}

	.micron-archive-footer .wp-pagenavi .page,
	.micron-archive-footer .wp-pagenavi .current,
	.micron-archive-footer .wp-pagenavi .first,
	.micron-archive-footer .wp-pagenavi .last {
		line-height: 1.6111111111;
		font-size: 1.125rem;
	}

	.micron-archive-footer .wp-pagenavi .previouspostslink,
	.micron-archive-footer .wp-pagenavi .nextpostslink {
		align-items: center;
		-moz-column-gap: 4px;
		column-gap: 4px;
		line-height: 1.6111111111;
		font-size: 1.125rem;
	}

	.micron-archive-footer .wp-pagenavi .previouspostslink {
		grid-template-columns: 18px auto;
	}

	.micron-archive-footer .wp-pagenavi .nextpostslink {
		grid-template-columns: auto 18px;
	}

	.micron-archive-footer .wp-pagenavi .nextpostslink::before {
		grid-column: 2/3;
		grid-row: 1/2;
	}
}
